using System;

namespace BeWo.Office.Types
{
    public interface IProgress
    {
        bool Cancelled { get; }
        void Complete();
        void Init(String title, int totalTicks, String text, bool allowCancel);
        void ProgressTo(int ticks, String text, bool progressAbsolute);
        void SetText(String text);
    }
}
